<?php
$advert = array(); 
  // bannière 1
  if (get_option('select_affiche') == 'Afficher' ) {  
  $advert[1] = get_option('id_pub_1');
  }
  // bannière 2
  if (get_option('select_affiche_2') == 'Afficher' ) {  
  $advert[2] = get_option('id_pub_2');
  }
  // bannière 3
  if (get_option('select_affiche_3') == 'Afficher' ) {  
  $advert[3] = get_option('id_pub_3');
  }
  // bannière 4
  if (get_option('select_affiche_4') == 'Afficher' ) {  
  $advert[4] = get_option('id_pub_4');
  }
  // bannière 5
  if (get_option('select_affiche_5') == 'Afficher' ) {  
  $advert[5] = get_option('id_pub_5');
  }
  // bannière 6
  if (get_option('select_affiche_6') == 'Afficher' ) {  
  $advert[6] = get_option('id_pub_6');
  }
  // bannière 7
  if (get_option('select_affiche_7') == 'Afficher' ) {  
  $advert[7] = get_option('id_pub_7');
  }
  // bannière 8
  if (get_option('select_affiche_8') == 'Afficher' ) {  
  $advert[8] = get_option('id_pub_8');
  }
  // bannière 9
  if (get_option('select_affiche_9') == 'Afficher' ) {  
  $advert[9] = get_option('id_pub_9');
  }
  // bannière 10
  if (get_option('select_affiche_10') == 'Afficher' ) {  
  $advert[10] = get_option('id_pub_10');
  }
  // bannière 11
  if (get_option('select_affiche_11') == 'Afficher' ) {  
  $advert[11] = get_option('id_pub_11');
  }
  // bannière 12
  if (get_option('select_affiche_12') == 'Afficher' ) {  
  $advert[12] = get_option('id_pub_12');
  }
  // bannière 13
  if (get_option('select_affiche_13') == 'Afficher' ) {  
  $advert[13] = get_option('id_pub_13');
  }
  // bannière 14
  if (get_option('select_affiche_14') == 'Afficher' ) {  
  $advert[14] = get_option('id_pub_14');
  }
  // bannière 15
  if (get_option('select_affiche_15') == 'Afficher' ) {  
  $advert[15] = get_option('id_pub_15');
  }
  // bannière 16
  if (get_option('select_affiche_16') == 'Afficher' ) {  
  $advert[16] = get_option('id_pub_16');
  }
  // bannière 17
  if (get_option('select_affiche_17') == 'Afficher' ) {  
  $advert[17] = get_option('id_pub_17');
  }
  // bannière 18
  if (get_option('select_affiche_18') == 'Afficher' ) {  
  $advert[18] = get_option('id_pub_18');
  }
  // bannière 19
  if (get_option('select_affiche_19') == 'Afficher' ) {  
  $advert[19] = get_option('id_pub_19');
  }
  // bannière 20
  if (get_option('select_affiche_20') == 'Afficher' ) {  
  $advert[20] = get_option('id_pub_20');
  }
shuffle($advert); 
echo $advert[0];

for ($i=0;$i<=20;$i++){
   echo $banner_rotate[$i];
}

?>